Bug 190599 - ld.so segfault with glib-debuginfo
ld.so segfault with glib-debuginfo
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-03 16:00 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-07 21:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-03 16:00:11 EDT
For some reason (don't ask), I ended up running ldd -[dr] on some files in
glib-debuginfo, and found that ld.so segfaults with them, reproduced on i386 and
x86_64 here.

$ rpm -qf /lib/ld-linux.so.2
$ rpm -qf /usr/lib/debug/usr/lib/libgthread-1.2.so.0.0.10.debug
$ /lib/ld-linux.so.2 /usr/lib/debug/usr/lib/libgthread-1.2.so.0.0.10.debug
Segmentation fault (core dumped)

gdb backtrace:

Core was generated by `/lib/ld-linux.so.2
Program terminated with signal 11, Segmentation fault.
#0  0x00a77662 in _dl_relocate_object ()
(gdb) bt
#0  0x00a77662 in _dl_relocate_object ()
#1  0x00a70833 in dl_main ()
#2  0x00a8056b in _dl_sysdep_start ()
#3  0x00a6f48f in _dl_start ()
#4  0x00a6d847 in _start ()
Comment 1 Ulrich Drepper 2006-05-07 21:21:53 EDT
There are a gazillion possibilities to create an ill-formed ELF-like file which
will crash when run with ld.so.  I don't see any reason to make ld.so more
complex and waste time which could be used otherwise on this.

Note You need to log in before you can comment on or make changes to this bug.